# 计算定投日期

`POST` `/v1/dailycoins/calc-trd-date`

:::warning 仅支持 Longbridge 香港 / 新加坡账户
此方法仅支持 Longbridge 香港 / 新加坡账户，可操作任意标的，包括美股。
:::

根据给定的定投计划参数，计算下一次预计交易日期。

## Parameters

### Request Body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | 标的代码。 |
| `invest_frequency` | string | Yes | 频率：`Daily`、`Weekly`、`Fortnightly`、`Monthly`。 |
| `invest_day_of_week` | string | No | 每周/每两周计划的执行星期：`mon`–`fri`。 |
| `invest_day_of_month` | string | No | 每月计划的执行日：`1`–`28`。 |

## Request Example

```bash
curl --request POST \
  --url 'https://openapi.longbridge.com/v1/dailycoins/calc-trd-date' \
  --header 'Authorization: Bearer <access_token>' \
  --header 'Content-Type: application/json' \
  --data '{"symbol":"<symbol>","invest_frequency":"<invest_frequency>","invest_day_of_week":"<invest_day_of_week>","invest_day_of_month":"<invest_day_of_month>"}'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `trade_date` | string | Yes | 下一次预计交易日期（YYYY-MM-DD） |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "trade_date": "2024-02-15"
  }
}
```
